<< pmusic | FOSSEE_Signal_Processing_Toolbox | poly2lsf >>

FOSSEE_Signal_Processing_Toolbox >> FOSSEE_Signal_Processing_Toolbox > poly2ac

# poly2ac

Convert prediction polynomial to autocorrelation sequence.

### Syntax

    R = poly2ac(a,efinal)

### Parameters

a:

  input prediction polynomial with 1st element 1 (if not, poly2ac normalizes it to 1 before proceeding).

efinal:

  input prediction error

r:

  output autocorrelation sequence

### Description

This function obtains the underlying autocorrelation sequence that would best fit a linear prediction filter described by the denominator polynomial and the numerator scaling. The filter is H(z) = efinal/(a(1) + a(2) x z a(3) x z^2 ... a(n) x z^n-1)

### Examples

    a = [1.0000 0.4288 0.76 0.0404 -0.02]
    efinal = 0.2           // Step prediction error
    r = poly2ac(a,efinal)   // Autocorrelation sequence

### See also

- ac2poly — Convert autocorrelation sequence to polynomial of prediction filter.
- poly2rc — Converts prediction polynomial to reflection coefficients.
- rc2poly — Convert reflection coefficients to prediction polynomial.
- rc2ac — Convert reflection coefficients to autocorrelation sequence.
- ac2rc — Convert autocorrelation sequence to reflection coefficients.

### Authors

- Parthe Pandit

### Bibliography

S. Kay, Modern Spectral Estimation, Prentice Hall, N.J., 1987, Chapter 6.

Report an issue
<< pmusic | FOSSEE_Signal_Processing_Toolbox | poly2lsf >>